beatra文档

列出可用音色

GET
/v1/voices

Query Parameters

languageLanguage

BCP-47 / ISO-639-1 filter

genderGender
categoryCategory

preset | cloned

qQ

Search in display names

modelModel

Compatible model id

age_groupAge Group

child, youth, adult, or senior

voice_idVoice Id

Exact voice_id

limitLimit

Page size

Default: 50Minimum: 1Maximum: 500
cursorCursor

voice_id of the last voice on the previous page

use_caseUse Case

Voices tagged with this use case

searchSearch

Case-insensitive text found in the display name or the persona

statusStatus

Which voices to list: ready (default, usable for speech), pending_activation (cloned previews that need activation), expired, or any.

Default: "ready"Value in: "ready" | "pending_activation" | "expired" | "any"

Header Parameters

Authorization
Required
string

Bearer API key.

X-Request-Idstring

Optional client request id echoed in the response.

curl -X GET "https://api.beatra.ai/v1/voices?language=string&gender=string&category=string&q=string&model=string&age_group=string&voice_id=string&limit=50&cursor=string&use_case=audiobook&search=string&status=ready" \
  -H "Authorization: string" \
  -H "X-Request-Id: string"

Successful Response

{
  "object": "list",
  "data": [
    {
      "voice_id": "string",
      "display_name": "string",
      "category": "preset",
      "language": "string",
      "languages_supported": [
        "string"
      ],
      "gender": "male",
      "age_group": "string",
      "accent": "string",
      "use_case": [
        "string"
      ],
      "persona": "string",
      "preview_url": "string",
      "preview_url_scene": "string",
      "compatible_models": [
        "string"
      ],
      "status": "processing",
      "created_at": "2019-08-24T14:15:22Z",
      "preview": {
        "url": "string",
        "text": "string",
        "language": "string",
        "version": 0
      },
      "activation": {
        "required": true,
        "price_credits": 0,
        "quote": {
          "voice_id": "string",
          "price_credits": 0,
          "balance_credits": "string",
          "sufficient_balance": true,
          "preview": {
            "url": "string",
            "text": "string",
            "language": "string",
            "version": 0
          },
          "confirmation_token": "string",
          "token_expires_at": "2019-08-24T14:15:22Z",
          "terms_version": "string",
          "terms": {
            "property1": [
              "string"
            ],
            "property2": [
              "string"
            ]
          },
          "message": "string"
        }
      },
      "expires_at": "2019-08-24T14:15:22Z",
      "clone_model": "string"
    }
  ],
  "next_cursor": "string",
  "total_count": 0
}

最后更新